aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAric Belsito <lluixhi@gmail.com>2018-03-11 17:25:29 -0700
committerAric Belsito <lluixhi@gmail.com>2018-03-11 17:27:27 -0700
commit08ea42dbcbddf4521043e28b827bcb13fa77e342 (patch)
tree2146d804845d1c57745aa44b1262d72bc91e652f /sys-process
parentsys-process/audit: 2.7.1 stable on all musl arches (diff)
downloadmusl-08ea42dbcbddf4521043e28b827bcb13fa77e342.tar.gz
musl-08ea42dbcbddf4521043e28b827bcb13fa77e342.tar.bz2
musl-08ea42dbcbddf4521043e28b827bcb13fa77e342.zip
sys-process/audit: version bump to 2.8.2
Diffstat (limited to 'sys-process')
-rw-r--r--sys-process/audit/Manifest3
-rw-r--r--sys-process/audit/audit-2.6.4.ebuild6
-rw-r--r--sys-process/audit/audit-2.7.1.ebuild2
-rw-r--r--sys-process/audit/audit-2.8.2.ebuild232
-rw-r--r--sys-process/audit/files/audit-2.8.2-musl.patch149
-rw-r--r--sys-process/audit/metadata.xml12
6 files changed, 393 insertions, 11 deletions
diff --git a/sys-process/audit/Manifest b/sys-process/audit/Manifest
index bcd14ba..7303bc7 100644
--- a/sys-process/audit/Manifest
+++ b/sys-process/audit/Manifest
@@ -1,2 +1,3 @@
-DIST audit-2.6.4.tar.gz 1078677 SHA256 b5a79cecd9593c368c9e42d5af72fcd14f046676657e906970b6c4a1aa5d06c7 SHA512 69b5d3987d2b8b189d1242fde639af3d7d366e901733133e47ee71223caf73aa7da40b7811298f0af861969b0ab482c5ef9830b711bdd15bd5f4d0ebc88a1224 WHIRLPOOL bda2f7bb754620b003c9c7df2e29d169e0421a9f0a1cf11396539fc3cae1d3907dc4265c3941e24a30eb206032a894989e74b803f2c4a7558057b879c41b2642
+DIST audit-2.6.4.tar.gz 1078677 BLAKE2B 056d9f269926d9b0d74f7187f833f1e94d4e03a5137750fe4ff87b71fa0ce0e0a8569b97ecbd671f951061cfb088dff17b46e37cc14122864c37615356646fc5 SHA512 69b5d3987d2b8b189d1242fde639af3d7d366e901733133e47ee71223caf73aa7da40b7811298f0af861969b0ab482c5ef9830b711bdd15bd5f4d0ebc88a1224
DIST audit-2.7.1.tar.gz 1099083 BLAKE2B 10f72ac3273ce9e23e1fb8ad8d57dcae772ba1f861f519867399d95e14f4809897637969de45566d62a73a35e5674260155773daf8de00481fcbd1b9c3138f96 SHA512 37964d81deee8608fde5f90d5d096727d3eb009e084be34749adcb0662e607e35c49c80bd83ce38b17161f11363b691721c8a8aa5dea832d320c53ab0ebb7483
+DIST audit-2.8.2.tar.gz 1121970 BLAKE2B bbec694ed1177a8590d035c2d6d197e49343fc370b101589e58736042c3b12cabb68fe796422f3133feb79068ab7d5931efa5414d22edead10c8871fefcd2549 SHA512 888ebf5e8e9d285b82d87377fc8836886d7a8b089c1be4091420a77a0250c9baf09aebb7a6330ff5043fb35f51eb6baf8d4491e26da7ad0811f0087e395b5012
diff --git a/sys-process/audit/audit-2.6.4.ebuild b/sys-process/audit/audit-2.6.4.ebuild
index 9dfa86f..543390b 100644
--- a/sys-process/audit/audit-2.6.4.ebuild
+++ b/sys-process/audit/audit-2.6.4.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
-PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
-inherit autotools multilib multilib-minimal toolchain-funcs python-r1 linux-info systemd
+inherit autotools ltprune multilib multilib-minimal toolchain-funcs preserve-libs python-r1 linux-info systemd
DESCRIPTION="Userspace utilities for storing and processing auditing records"
HOMEPAGE="https://people.redhat.com/sgrubb/audit/"
diff --git a/sys-process/audit/audit-2.7.1.ebuild b/sys-process/audit/audit-2.7.1.ebuild
index 867a723..9a7b4c0 100644
--- a/sys-process/audit/audit-2.7.1.ebuild
+++ b/sys-process/audit/audit-2.7.1.ebuild
@@ -5,7 +5,7 @@ EAPI=6
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
-inherit autotools multilib multilib-minimal toolchain-funcs python-r1 linux-info systemd
+inherit autotools ltprune multilib multilib-minimal toolchain-funcs preserve-libs python-r1 linux-info systemd
DESCRIPTION="Userspace utilities for storing and processing auditing records"
HOMEPAGE="https://people.redhat.com/sgrubb/audit/"
diff --git a/sys-process/audit/audit-2.8.2.ebuild b/sys-process/audit/audit-2.8.2.ebuild
new file mode 100644
index 0000000..da67810
--- /dev/null
+++ b/sys-process/audit/audit-2.8.2.ebuild
@@ -0,0 +1,232 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+inherit autotools multilib multilib-minimal toolchain-funcs preserve-libs python-r1 linux-info systemd
+
+DESCRIPTION="Userspace utilities for storing and processing auditing records"
+HOMEPAGE="https://people.redhat.com/sgrubb/audit/"
+SRC_URI="https://people.redhat.com/sgrubb/audit/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~mips ~ppc ~x86"
+IUSE="gssapi ldap python static-libs"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+# Testcases are pretty useless as they are built for RedHat users/groups and kernels.
+RESTRICT="test"
+
+RDEPEND="gssapi? ( virtual/krb5 )
+ ldap? ( net-nds/openldap )
+ sys-libs/libcap-ng
+ python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}
+ >=sys-kernel/linux-headers-2.6.34
+ python? ( dev-lang/swig:0 )"
+# Do not use os-headers as this is linux specific
+
+CONFIG_CHECK="~AUDIT"
+
+pkg_setup() {
+ linux-info_pkg_setup
+}
+
+src_prepare() {
+ eapply "${FILESDIR}/${P}-musl.patch"
+ eapply "${FILESDIR}/${PN}-2.7.1-swig.patch"
+ eapply_user
+
+ # Do not build GUI tools
+ sed -i \
+ -e '/AC_CONFIG_SUBDIRS.*system-config-audit/d' \
+ "${S}"/configure.ac || die
+ sed -i \
+ -e 's,system-config-audit,,g' \
+ "${S}"/Makefile.am || die
+ rm -rf "${S}"/system-config-audit
+
+ if ! use ldap; then
+ sed -i \
+ -e '/^AC_OUTPUT/s,audisp/plugins/zos-remote/Makefile,,g' \
+ "${S}"/configure.ac || die
+ sed -i \
+ -e '/^SUBDIRS/s,zos-remote,,g' \
+ "${S}"/audisp/plugins/Makefile.am || die
+ fi
+
+ # Don't build static version of Python module.
+ eapply "${FILESDIR}"/${PN}-2.4.3-python.patch
+
+ # glibc/kernel upstreams suck with both defining ia64_fpreg
+ # This patch is a horribly workaround that is only valid as long as you
+ # don't need the OTHER definitions in fpu.h.
+ eapply "${FILESDIR}"/${PN}-2.1.3-ia64-compile-fix.patch
+
+ # there is no --without-golang conf option
+ sed -e "/^SUBDIRS =/s/ @gobind_dir@//" -i bindings/Makefile.am || die
+
+ # Regenerate autotooling
+ eautoreconf
+}
+
+multilib_src_configure() {
+ local ECONF_SOURCE=${S}
+ econf \
+ --sbindir="${EPREFIX}/sbin" \
+ $(use_enable gssapi gssapi-krb5) \
+ $(use_enable static-libs static) \
+ --enable-systemd \
+ --without-python \
+ --without-python3
+
+ if multilib_is_native_abi; then
+ python_configure() {
+ mkdir -p "${BUILD_DIR}" || die
+ cd "${BUILD_DIR}" || die
+
+ if python_is_python3; then
+ econf --without-python --with-python3
+ else
+ econf --with-python --without-python3
+ fi
+ }
+
+ use python && python_foreach_impl python_configure
+ fi
+}
+
+src_configure() {
+ tc-export_build_env BUILD_{CC,CPP}
+ export CC_FOR_BUILD="${BUILD_CC}"
+ export CPP_FOR_BUILD="${BUILD_CPP}"
+
+ multilib-minimal_src_configure
+}
+
+multilib_src_compile() {
+ if multilib_is_native_abi; then
+ default
+
+ python_compile() {
+ local pysuffix pydef
+ if python_is_python3; then
+ pysuffix=3
+ pydef='USE_PYTHON3=true'
+ else
+ pysuffix=2
+ pydef='HAVE_PYTHON=true'
+ fi
+
+ emake -C "${BUILD_DIR}"/bindings/swig \
+ VPATH="${native_build}/lib" \
+ LIBS="${native_build}/lib/libaudit.la" \
+ _audit_la_LIBADD="${native_build}/lib/libaudit.la" \
+ _audit_la_DEPENDENCIES="${S}/lib/libaudit.h ${native_build}/lib/libaudit.la" \
+ ${pydef}
+ emake -C "${BUILD_DIR}"/bindings/python/python${pysuffix} \
+ VPATH="${S}/bindings/python/python${pysuffix}:${native_build}/bindings/python/python${pysuffix}" \
+ auparse_la_LIBADD="${native_build}/auparse/libauparse.la ${native_build}/lib/libaudit.la" \
+ ${pydef}
+ }
+
+ local native_build="${BUILD_DIR}"
+ use python && python_foreach_impl python_compile
+ else
+ emake -C lib
+ emake -C auparse
+ fi
+}
+
+multilib_src_install() {
+ if multilib_is_native_abi; then
+ emake DESTDIR="${D}" initdir="$(systemd_get_systemunitdir)" install
+
+ python_install() {
+ local pysuffix pydef
+ if python_is_python3; then
+ pysuffix=3
+ pydef='USE_PYTHON3=true'
+ else
+ pysuffix=2
+ pydef='HAVE_PYTHON=true'
+ fi
+
+ emake -C "${BUILD_DIR}"/bindings/swig \
+ VPATH="${native_build}/lib" \
+ LIBS="${native_build}/lib/libaudit.la" \
+ _audit_la_LIBADD="${native_build}/lib/libaudit.la" \
+ _audit_la_DEPENDENCIES="${S}/lib/libaudit.h ${native_build}/lib/libaudit.la" \
+ ${pydef} \
+ DESTDIR="${D}" install
+ emake -C "${BUILD_DIR}"/bindings/python/python${pysuffix} \
+ VPATH="${S}/bindings/python/python${pysuffix}:${native_build}/bindings/python/python${pysuffix}" \
+ auparse_la_LIBADD="${native_build}/auparse/libauparse.la ${native_build}/lib/libaudit.la" \
+ ${pydef} \
+ DESTDIR="${D}" install
+ }
+
+ local native_build=${BUILD_DIR}
+ use python && python_foreach_impl python_install
+
+ # things like shadow use this so we need to be in /
+ gen_usr_ldscript -a audit auparse
+ else
+ emake -C lib DESTDIR="${D}" install
+ emake -C auparse DESTDIR="${D}" install
+ fi
+}
+
+multilib_src_install_all() {
+ dodoc AUTHORS ChangeLog README* THANKS TODO
+ docinto contrib
+ dodoc contrib/{avc_snap,skeleton.c}
+ docinto contrib/plugin
+ dodoc contrib/plugin/*
+ docinto rules
+ dodoc rules/*
+
+ newinitd "${FILESDIR}"/auditd-init.d-2.4.3 auditd
+ newconfd "${FILESDIR}"/auditd-conf.d-2.1.3 auditd
+
+ fperms 644 "$(systemd_get_systemunitdir)"/auditd.service # 556436
+
+ [ -f "${ED}"/sbin/audisp-remote ] && \
+ dodir /usr/sbin && \
+ mv "${ED}"/{sbin,usr/sbin}/audisp-remote || die
+
+ # Gentoo rules
+ insinto /etc/audit/
+ newins "${FILESDIR}"/audit.rules-2.1.3 audit.rules
+ doins "${FILESDIR}"/audit.rules.stop*
+
+ # audit logs go here
+ keepdir /var/log/audit/
+
+ find "${D}" -name '*.la' -delete || die
+
+ # Security
+ lockdown_perms "${ED}"
+}
+
+pkg_preinst() {
+ # Preserve from the audit-1 series
+ preserve_old_lib /$(get_libdir)/libaudit.so.0
+}
+
+pkg_postinst() {
+ lockdown_perms "${EROOT}"
+ # Preserve from the audit-1 series
+ preserve_old_lib_notify /$(get_libdir)/libaudit.so.0
+}
+
+lockdown_perms() {
+ # Upstream wants these to have restrictive perms.
+ # Should not || die as not all paths may exist.
+ local basedir="$1"
+ chmod 0750 "${basedir}"/sbin/au{ditctl,report,dispd,ditd,search,trace} 2>/dev/null
+ chmod 0750 "${basedir}"/var/log/audit/ 2>/dev/null
+ chmod 0640 "${basedir}"/etc/{audit/,}{auditd.conf,audit.rules*} 2>/dev/null
+}
diff --git a/sys-process/audit/files/audit-2.8.2-musl.patch b/sys-process/audit/files/audit-2.8.2-musl.patch
new file mode 100644
index 0000000..e48b42b
--- /dev/null
+++ b/sys-process/audit/files/audit-2.8.2-musl.patch
@@ -0,0 +1,149 @@
+diff -Naur audit-2.8.2.orig/audisp/audispd.c audit-2.8.2/audisp/audispd.c
+--- audit-2.8.2.orig/audisp/audispd.c 2018-03-11 17:16:39.363923401 -0700
++++ audit-2.8.2/audisp/audispd.c 2018-03-11 17:17:35.163922402 -0700
+@@ -31,7 +31,9 @@
+ #include <pthread.h>
+ #include <dirent.h>
+ #include <fcntl.h>
+-#include <sys/poll.h>
++#include <limits.h>
++#include <poll.h>
++#include <sys/uio.h>
+ #include <netdb.h>
+ #include <arpa/inet.h>
+ #include <limits.h>
+diff -Naur audit-2.8.2.orig/auparse/auparse.c audit-2.8.2/auparse/auparse.c
+--- audit-2.8.2.orig/auparse/auparse.c 2018-03-11 17:16:39.356923401 -0700
++++ audit-2.8.2/auparse/auparse.c 2018-03-11 17:19:15.311920608 -0700
+@@ -1104,13 +1104,22 @@
+ static int extract_timestamp(const char *b, au_event_t *e)
+ {
+ char *ptr, *tmp;
++ char _tmp[341];
+ int rc = 1;
+
+ e->host = NULL;
+ if (*b == 'n')
+- tmp = strndupa(b, 340);
++ {
++ strncpy(_tmp, b, 340);
++ _tmp[340] = '\0';
++ tmp = _tmp;
++ }
+ else
+- tmp = strndupa(b, 80);
++ {
++ strncpy(_tmp, b, 80);
++ _tmp[80] = '\0';
++ tmp = _tmp;
++ }
+ ptr = audit_strsplit(tmp);
+ if (ptr) {
+ // Optionally grab the node - may or may not be included
+diff -Naur audit-2.8.2.orig/auparse/interpret.c audit-2.8.2/auparse/interpret.c
+--- audit-2.8.2.orig/auparse/interpret.c 2018-03-11 17:16:39.359923401 -0700
++++ audit-2.8.2/auparse/interpret.c 2018-03-11 17:19:51.658919957 -0700
+@@ -860,7 +860,7 @@
+ // Proctitle has arguments separated by NUL bytes
+ // We need to write over the NUL bytes with a space
+ // so that we can see the arguments
+- while ((ptr = rawmemchr(ptr, '\0'))) {
++ while ((ptr = memchr(ptr, '\0', SIZE_MAX))) {
+ if (ptr >= end)
+ break;
+ *ptr = ' ';
+diff -Naur audit-2.8.2.orig/lib/libaudit.c audit-2.8.2/lib/libaudit.c
+--- audit-2.8.2.orig/lib/libaudit.c 2018-03-11 17:16:39.336923401 -0700
++++ audit-2.8.2/lib/libaudit.c 2018-03-11 17:20:03.037919753 -0700
+@@ -33,7 +33,7 @@
+ #include <pwd.h>
+ #include <grp.h>
+ #include <errno.h>
+-#include <sys/poll.h>
++#include <poll.h>
+ #include <sys/utsname.h>
+ #include <sys/stat.h>
+ #include <fcntl.h> /* O_NOFOLLOW needs gnu defined */
+diff -Naur audit-2.8.2.orig/lib/netlink.c audit-2.8.2/lib/netlink.c
+--- audit-2.8.2.orig/lib/netlink.c 2018-03-11 17:16:39.339923401 -0700
++++ audit-2.8.2/lib/netlink.c 2018-03-11 17:20:13.132919573 -0700
+@@ -27,7 +27,7 @@
+ #include <errno.h>
+ #include <fcntl.h>
+ #include <time.h>
+-#include <sys/poll.h>
++#include <poll.h>
+ #include "libaudit.h"
+ #include "private.h"
+
+diff -Naur audit-2.8.2.orig/src/auditctl.c audit-2.8.2/src/auditctl.c
+--- audit-2.8.2.orig/src/auditctl.c 2018-03-11 17:16:39.348923401 -0700
++++ audit-2.8.2/src/auditctl.c 2018-03-11 17:20:31.154919250 -0700
+@@ -37,6 +37,7 @@
+ #include <sys/time.h>
+ #include <fcntl.h>
+ #include <errno.h>
++#include <sys/select.h>
+ #include <libgen.h> /* For basename */
+ #include <limits.h> /* PATH_MAX */
+ #include "libaudit.h"
+diff -Naur audit-2.8.2.orig/src/auditd.c audit-2.8.2/src/auditd.c
+--- audit-2.8.2.orig/src/auditd.c 2018-03-11 17:16:39.351923401 -0700
++++ audit-2.8.2/src/auditd.c 2018-03-11 17:22:04.763917574 -0700
+@@ -30,6 +30,7 @@
+ #include <errno.h>
+ #include <string.h>
+ #include <time.h>
++#include <alloca.h>
+ #include <sys/resource.h>
+ #include <sys/time.h>
+ #include <sys/stat.h>
+@@ -187,7 +188,9 @@
+
+ static int extract_type(const char *str)
+ {
+- const char *tptr, *ptr2, *ptr = str;
++ const char *ptr2, *ptr = str;
++ char *tptr;
++
+ if (*str == 'n') {
+ ptr = strchr(str+1, ' ');
+ if (ptr == NULL)
+@@ -197,7 +200,9 @@
+ // ptr should be at 't'
+ ptr2 = strchr(ptr, ' ');
+ // get type=xxx in a buffer
+- tptr = strndupa(ptr, ptr2 - ptr);
++ tptr = (char *) alloca(ptr2 - ptr + 1);
++ strncpy(tptr, ptr, ptr2 - ptr);
++ tptr[ptr2 - ptr] = '\0';
+ // find =
+ str = strchr(tptr, '=');
+ if (str == NULL)
+diff -Naur audit-2.8.2.orig/src/ausearch-lol.c audit-2.8.2/src/ausearch-lol.c
+--- audit-2.8.2.orig/src/ausearch-lol.c 2018-03-11 17:16:39.351923401 -0700
++++ audit-2.8.2/src/ausearch-lol.c 2018-03-11 17:23:30.575916037 -0700
+@@ -135,12 +135,21 @@
+ static int extract_timestamp(const char *b, event *e)
+ {
+ char *ptr, *tmp, *tnode, *ttype;
++ char _tmp[341];
+
+ e->node = NULL;
+ if (*b == 'n')
+- tmp = strndupa(b, 340);
++ {
++ strncpy(_tmp, b, 340);
++ _tmp[340] = '\0';
++ tmp = _tmp;
++ }
+ else
+- tmp = strndupa(b, 80);
++ {
++ strncpy(_tmp, b, 80);
++ _tmp[80] = '\0';
++ tmp = _tmp;
++ }
+ ptr = audit_strsplit(tmp);
+ if (ptr) {
+ // Check to see if this is the node info
diff --git a/sys-process/audit/metadata.xml b/sys-process/audit/metadata.xml
index 856de3a..4d78815 100644
--- a/sys-process/audit/metadata.xml
+++ b/sys-process/audit/metadata.xml
@@ -1,10 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>robbat2@gentoo.org</email>
- </maintainer>
-<use>
- <flag name="gssapi">Enable GSSAPI support</flag>
-</use>
+ <maintainer type="person">
+ <email>robbat2@gentoo.org</email>
+ </maintainer>
+ <use>
+ <flag name="gssapi">Enable GSSAPI support</flag>
+ </use>
</pkgmetadata>